## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-iam
%global         forgeurl    https://github.com/googleapis/python-iam
Version:        2.5.1
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google IAM API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource
# Fix mock > unittest.mock.
# https://github.com/googleapis/python-iam/pull/97
Patch0:         python-google-cloud-iam-mock-fix.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio
%endif

%global _description %{expand:
Manages identity and access control for Google Cloud Platform resources,
including the creation of service accounts, which you can use to authenticate
to Google and make API calls.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install

# Remove unneeded executable.
rm -f %{buildroot}/%{_bindir}/fixup_credentials_v1_keywords.py

%pyproject_save_files google


%if %{with tests}
%check
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst SECURITY.md UPGRADING.md
%{python3_sitelib}/google_cloud_iam-%{version}-py%{python3_version}-nspkg.pth


%changelog
* mar. nov. 02 2021 Major Hayden <major@mhtx.net> 2.5.1-1
- Update to 2.5.1

* lun. oct. 25 2021 Major Hayden <major@mhtx.net> 2.5.0-1
- Update to 2.5.0

* mar. oct. 12 2021 Major Hayden <major@mhtx.net> 2.4.0-1
- Update to 2.4.0

* lun. sept. 27 2021 Major Hayden <major@mhtx.net> 2.3.2-1
- Update to 2.3.2

* ven. sept. 17 2021 Major Hayden <major@mhtx.net> 2.3.1-3
- Fix tests with PEP 420 workaround

* jeu. sept. 09 2021 Major Hayden <major@mhtx.net> 2.3.1-2
- Move to rpmautospec

* mar. juil. 27 2021 Major Hayden <major@mhtx.net> 2.3.1-1
- Update to 2.3.1

* dim. juil. 25 2021 Major Hayden <major@mhtx.net> 2.3.0-3
- Fix typo

* dim. juil. 25 2021 Major Hayden <major@mhtx.net> 2.3.0-2
- Update README

* dim. juil. 25 2021 Major Hayden <major@mhtx.net> 2.3.0-1
- Initial import (#1982801)
